# gfs_pio_getline

## Name

gfs_pio_getline -- read a line

## Synopsis

    #include <gfarm/gfarm.h>

```char *gfs_pio_getline``(GFS_File `f`, char * `s`, size_t `size`, int * `eofp`);`

## DESCRIPTION

`gfs_pio_getline()` reads a line from the file `gf`, and stores to the buffer starting at `s` at most `size` - 1 bytes. It is indistinguishable whether the length of a line is more than `size` or equal to `size` - 1. It sets 1 into the address pointed by `eofp` on end of file, otherwise it sets 0.

## RETURN VALUES

`NULL`

  The function terminated successfully.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

Others

  An error except the above occurred. The reason is shown by its pointed strings.

## SEE ALSO

gfs_pio_create(3), gfs_pio_open(3)